/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ExportRulePackagesAsXMLCommand.as 8512 2011-07-12 07:00:31Z diorcety $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notificationeditor.command {
import com.adobe.cairngorm.control.CairngormEvent;

import mx.collections.ArrayCollection;
import mx.rpc.events.ResultEvent;

import org.ow2.jasmine.monitoring.eos.notificationeditor.event.RulePackagesEvent;

import org.ow2.jasmine.monitoring.eos.notificationeditor.utils.RulePackagesImportExportManager;

/**
 * Export the rule packages as XML
 *
 * @author Julien Nicoulaud
 */
public class ExportRulePackagesAsXMLCommand extends AbstractCommand {

    public function ExportRulePackagesAsXMLCommand() {
    }

    /**
     * Send the event to the java side, using the business layer of the pattern
     */
    override public function execute(event:CairngormEvent):void {
        // Retrieve the target object
        var rulePackages:ArrayCollection = (event as RulePackagesEvent).rulePackages;

        // Dispatch a notification to Kerneos
        debug("Exporting " + rulePackages.length + " rule packages as XML");

        delegate.responder = this;
        delegate.exportRulePackagesAsXML(rulePackages, model.ruleEngineName);
    }

    /**
     * Get the result of the java side. this method is called on each event
     * returned from the Java side.
     */
    override public function result(event:Object):void {
        // Retrieve file to download informations
        var fileInfoXML:XML = (event as ResultEvent).result as XML;
        var path:String = fileInfoXML;
        var name:String = fileInfoXML.@name;
        var size:String = fileInfoXML.@size;

        // Prompt the user to download the file
        RulePackagesImportExportManager.promptDownloadFile(path, name, size);
    }

}
}
