/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: RulePackagesEvent.as 5084 2009-08-28 09:03:19Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notificationeditor.event {
import com.adobe.cairngorm.control.CairngormEvent;

import flash.events.Event;

import mx.collections.ArrayCollection;

/**
 * An event type to carry several rule packages
 *
 * @author Julien Nicoulaud
 */
public class RulePackagesEvent extends CairngormEvent {

    // =====================================================================
    // Variables
    // =====================================================================

    // Event types

    public static var EXPORT_RULE_PACKAGES_AS_XML:String = "exportRulePackagesAsXML";


    // Event variables

    [ArrayElementType('org.ow2.jasmine.monitoring.eos.notificationeditor.vo.rulepackage.IRulePackageVO')]
    public var rulePackages:ArrayCollection;


    // =====================================================================
    // Initialization
    // =====================================================================

    /**
     * Creates a new RulePackagesEvent
     */
    public function RulePackagesEvent(type:String, rulePackages:ArrayCollection) {
        super(type);
        this.rulePackages = rulePackages;
    }


    // =====================================================================
    // Utils
    // =====================================================================

    /**
     * Clone a RulePackagesEvent
     */
    override public function clone():Event {
        return new RulePackagesEvent(this.type,
                this.rulePackages);
    }

}
}
