/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ServerFilePathEvent.as 5084 2009-08-28 09:03:19Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notificationeditor.event {
import com.adobe.cairngorm.control.CairngormEvent;

import flash.events.Event;

/**
 * An event type to carry the path to a file on the server
 *
 * @author Julien Nicoulaud
 */
public class ServerFilePathEvent extends CairngormEvent {

    // =====================================================================
    // Variables
    // =====================================================================

    // Event types

    public static var IMPORT_RULE_PACKAGE:String = "importRulePackage";


    // Event variables

    public var filePath:String;


    // =====================================================================
    // Initialization
    // =====================================================================

    /**
     * Creates a new ServerFilePathEvent
     */
    public function ServerFilePathEvent(type:String, filePath:String) {
        // Call super class constructor
        super(type);

        // Assign variables
        this.filePath = filePath;
    }


    // =====================================================================
    // Utils
    // =====================================================================

    /**
     * Clone a ServerFilePathEvent
     */
    override public function clone():Event {
        return new ServerFilePathEvent(this.type, this.filePath);
    }

}
}
