/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EngineDashboardModel.as 9121 2011-10-10 12:38:53Z durieuxp $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notificationeditor.model.domain {

import org.ow2.jasmine.monitoring.eos.notificationeditor.vo.EngineStatusVO;

/**
 * Cairngorm Model for the rule engine dashboard
 *
 * @author Julien Nicoulaud
 */
public class EngineDashboardModel {

    /**
     * Default refresh time
     */
    private const DEFAULT_REFRESH_INTERVAL:int = 4000;

    /**
     * Refresh interval in milliseconds
     */
    [Bindable]
    public var refreshInterval:int = DEFAULT_REFRESH_INTERVAL;

    /**
     * Rule engine status object
     */
    [Bindable]
    public var engineStatus:EngineStatusVO;

    public function EngineDashboardModel() {
    }
}
}
