/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: RuleManagerModel.as 9121 2011-10-10 12:38:53Z durieuxp $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notificationeditor.model.domain {
import mx.collections.ArrayCollection;

import org.ow2.jasmine.monitoring.eos.notificationeditor.model.domain.SynchronizedRulePackage;


/**
 * Cairngorm Model for the rule engine dashboard
 *
 * @author Julien Nicoulaud
 */
[Bindable]
public class RuleManagerModel {

    // =========================================================================
    // Variables
    // =========================================================================

    /**
     * The rule packages array
     */
    [ArrayElementType("org.ow2.jasmine.monitoring.eos.notificationeditor.model.domain.SynchronizedRulePackage")]
    public var rulePackages:ArrayCollection = new ArrayCollection();

    /**
     * "Save" operations currently running counter
     * @internal dirty...
     */
    public var pendingSaveOperations:int = 0;


    public function RuleManagerModel() {
    }

// =========================================================================
    // Public methods
    // =========================================================================

    /**
     * Returns the index of a rule package identified by its systemName
     * @return -1 if the model does not contain the rulePackage
     */
    public function getRulePackageIndex(rulePackageSystemName:String):int {
        for each (var rulePackage:SynchronizedRulePackage in rulePackages) {
            if (rulePackage.rulePackage.systemName == rulePackageSystemName) {
                return rulePackages.getItemIndex(rulePackage);
            }
        }
        return -1;
    }

}
}
